Debian Bug report logs - #500482
Segmentation fault in grub-probe

version graph

Package: grub-common; Maintainer for grub-common is GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>; Source for grub-common is src:grub2.

Reported by: Zrin Ziborski <zrin.debian@ziborski.net>

Date: Sun, 28 Sep 2008 17:36:05 UTC

Severity: serious

Tags: patch

Fixed in versions grub2/1.96+20080724-11, grub2/1.96+20081108-1

Done: Robert Millan <rmh@aybabtu.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#500482; Package grub. (Sun, 28 Sep 2008 17:36:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Zrin Ziborski <zrin.debian@ziborski.net>:
New Bug report received and forwarded. Copy sent to Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sun, 28 Sep 2008 17:36:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Zrin Ziborski <zrin.debian@ziborski.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Segmentation fault in grub-probe
Date: Sun, 28 Sep 2008 19:34:59 +0200
Package: grub
Version: 0.97-47
Severity: grave
Justification: renders package unusable for many users


Segmentation fault in grub-probe prevents any automated install.
Only manual installation within grub shell is possible.

"whg" Setup:
- 4 x 250 GB SATA HDD
- 5 GB RAID1 /dev/md0 over all 4 disks (hd[abcd]1) with ext3 /
- swap partition on each disk (hd[abcd]2)
- ~240 GB RAID1 /dev/md1 over hda3 and hdb3 type 
- ~240 GB RAID1 /dev/md2 over hdc3 and hdd3
- RAID0 /dev/md3 over /dev/md1 and /dev/md2 with 16KiB chunk size
- therfore /dev/sd[cd]3 does not contain any recognizable signature


whg:~# hexdump -Cn 1024 /dev/sda3  ## mirrored on sdb3
00000000  00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00  |................|
*
00000200  4c 41 42 45 4c 4f 4e 45  01 00 00 00 00 00 00 00  |LABELONE........|
00000210  af 36 3b a3 20 00 00 00  4c 56 4d 32 20 30 30 31  |.6;. ...LVM2 001|
00000220  6a 78 38 63 6f 46 69 35  32 42 35 64 70 62 34 73  |jx8coFi52B5dpb4s|
00000230  7a 55 62 68 6f 47 38 62  58 36 6e 46 55 76 78 55  |zUbhoG8bX6nFUvxU|
00000240  00 00 e0 c1 6f 00 00 00  00 00 03 00 00 00 00 00  |....o...........|
00000250  00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00  |................|
00000260  00 00 00 00 00 00 00 00  00 10 00 00 00 00 00 00  |................|
00000270  00 f0 02 00 00 00 00 00  00 00 00 00 00 00 00 00  |................|
00000280  00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00  |................|
*
00000400

whg:~# hexdump -Cn 512 /dev/sdc3
00000000  64 22 0a 73 74 72 69 70  65 5f 63 6f 75 6e 74 20  |d".stripe_count |
00000010  3d 20 31 09 23 20 6c 69  6e 65 61 72 0a 0a 73 74  |= 1.# linear..st|
00000020  72 69 70 65 73 20 3d 20  5b 0a 22 70 76 30 22 2c  |ripes = [."pv0",|
00000030  20 30 0a 5d 0a 7d 0a 7d  0a 0a 73 72 76 20 7b 0a  | 0.].}.}..srv {.|
00000040  69 64 20 3d 20 22 34 32  6b 58 54 79 2d 75 65 66  |id = "42kXTy-uef|
00000050  4c 2d 43 61 65 41 2d 35  30 47 30 2d 5a 45 52 4d  |L-CaeA-50G0-ZERM|
00000060  2d 6b 58 4e 73 2d 69 49  76 72 31 64 22 0a 73 74  |-kXNs-iIvr1d".st|
00000070  61 74 75 73 20 3d 20 5b  22 52 45 41 44 22 2c 20  |atus = ["READ", |
00000080  22 57 52 49 54 45 22 2c  20 22 56 49 53 49 42 4c  |"WRITE", "VISIBL|
00000090  45 22 5d 0a 73 65 67 6d  65 6e 74 5f 63 6f 75 6e  |E"].segment_coun|
000000a0  74 20 3d 20 31 0a 0a 73  65 67 6d 65 6e 74 31 20  |t = 1..segment1 |
000000b0  7b 0a 73 74 61 72 74 5f  65 78 74 65 6e 74 20 3d  |{.start_extent =|
000000c0  20 30 0a 65 78 74 65 6e  74 5f 63 6f 75 6e 74 20  | 0.extent_count |
000000d0  3d 20 32 35 36 30 30 0a  0a 74 79 70 65 20 3d 20  |= 25600..type = |
000000e0  22 73 74 72 69 70 65 64  22 0a 73 74 72 69 70 65  |"striped".stripe|
000000f0  5f 63 6f 75 6e 74 20 3d  20 31 09 23 20 6c 69 6e  |_count = 1.# lin|
00000100  65 61 72 0a 0a 73 74 72  69 70 65 73 20 3d 20 5b  |ear..stripes = [|
00000110  0a 22 70 76 30 22 2c 20  34 30 39 36 0a 5d 0a 7d  |."pv0", 4096.].}|
00000120  0a 7d 0a 0a 68 6f 6d 65  20 7b 0a 69 64 20 3d 20  |.}..home {.id = |
00000130  22 4c 59 71 70 49 30 2d  31 51 49 47 2d 6b 4c 45  |"LYqpI0-1QIG-kLE|
00000140  76 2d 4e 66 55 4d 2d 6a  7a 36 73 2d 4b 70 68 5a  |v-NfUM-jz6s-KphZ|
00000150  2d 52 52 70 42 59 6d 22  0a 73 74 61 74 75 73 20  |-RRpBYm".status |
00000160  3d 20 5b 22 52 45 41 44  22 2c 20 22 57 52 49 54  |= ["READ", "WRIT|
00000170  45 22 2c 20 22 56 49 53  49 42 4c 45 22 5d 0a 73  |E", "VISIBLE"].s|
00000180  65 67 6d 65 6e 74 5f 63  6f 75 6e 74 20 3d 20 31  |egment_count = 1|
00000190  0a 0a 73 65 67 6d 65 6e  74 31 20 7b 0a 73 74 61  |..segment1 {.sta|
000001a0  72 74 5f 65 78 74 65 6e  74 20 3d 20 30 0a 65 78  |rt_extent = 0.ex|
000001b0  74 65 6e 74 5f 63 6f 75  6e 74 20 3d 20 31 35 33  |tent_count = 153|
000001c0  36 30 0a 0a 74 79 70 65  20 3d 20 22 73 74 72 69  |60..type = "stri|
000001d0  70 65 64 22 0a 73 74 72  69 70 65 5f 63 6f 75 6e  |ped".stripe_coun|
000001e0  74 20 3d 20 31 09 23 20  6c 69 6e 65 61 72 0a 0a  |t = 1.# linear..|
000001f0  73 74 72 69 70 65 73 20  3d 20 5b 0a 22 70 76 30  |stripes = [."pv0|
00000200


whg:~# grub-probe -v -d /dev/md0
grub-probe: info: the size of hd0 is 488397168
grub-probe: info: opening the device `/dev/sda'
grub-probe: info: the size of hd0 is 488397168
grub-probe: info: the size of hd0 is 488397168
grub-probe: info: opening the device `/dev/sda1'
grub-probe: info: opening the device `/dev/sda1'
grub-probe: info: opening the device `/dev/sda1'
grub-probe: info: the size of hd0 is 488397168
grub-probe: info: opening the device `/dev/sda2'
grub-probe: info: the size of hd0 is 488397168
grub-probe: info: opening the device `/dev/sda3'
[... line repeated ~40 times...]
grub-probe: info: opening the device `/dev/sda3'
grub-probe: info: the size of hd1 is 488397168
grub-probe: info: opening the device `/dev/sdb'
grub-probe: info: the size of hd1 is 488397168
grub-probe: info: the size of hd1 is 488397168
grub-probe: info: opening the device `/dev/sdb1'
grub-probe: info: opening the device `/dev/sdb1'
grub-probe: info: opening the device `/dev/sdb1'
grub-probe: info: the size of hd1 is 488397168
grub-probe: info: opening the device `/dev/sdb2'
grub-probe: info: the size of hd1 is 488397168
grub-probe: info: opening the device `/dev/sdb3'
[... line repeated ~40 times...]
grub-probe: info: opening the device `/dev/sdb3'
grub-probe: info: the size of hd2 is 488397168
grub-probe: info: opening the device `/dev/sdc'
grub-probe: info: the size of hd2 is 488397168
grub-probe: info: the size of hd2 is 488397168
grub-probe: info: opening the device `/dev/sdc1'
grub-probe: info: opening the device `/dev/sdc1'
grub-probe: info: opening the device `/dev/sdc1'
grub-probe: info: the size of hd2 is 488397168
grub-probe: info: opening the device `/dev/sdc2'
grub-probe: info: the size of hd2 is 488397168
grub-probe: info: opening the device `/dev/sdc3'
grub-probe: info: opening the device `/dev/sdc3'
grub-probe: info: opening the device `/dev/sdc3'
grub-probe: info: opening the device `/dev/sdc3'
grub-probe: info: opening the device `/dev/sdc3'
grub-probe: info: the size of hd3 is 488397168
grub-probe: info: opening the device `/dev/sdd'
grub-probe: info: the size of hd3 is 488397168
grub-probe: info: the size of hd3 is 488397168
grub-probe: info: opening the device `/dev/sdd1'
grub-probe: info: opening the device `/dev/sdd1'
grub-probe: info: opening the device `/dev/sdd1'
grub-probe: info: the size of hd3 is 488397168
grub-probe: info: opening the device `/dev/sdd2'
grub-probe: info: the size of hd3 is 488397168
grub-probe: info: opening the device `/dev/sdd3'
grub-probe: info: opening the device `/dev/sdd3'
grub-probe: info: opening the device `/dev/sdd3'
grub-probe: info: opening the device `/dev/sdd3'
grub-probe: info: opening the device `/dev/sdd3'
Segmentation fault
whg:~#

whg:~# strace grub-probe -v -d /dev/md0
[...]
write(2, "grub-probe: info: "..., 18grub-probe: info: )   = 18
write(2, "opening the device `/dev/sdd1'"..., 30opening the device `/dev/sdd1') = 30
write(2, "\n"..., 1
)                    = 1
open("/dev/sdd1", O_RDONLY|O_SYNC)      = 3
ioctl(3, BLKFLSBUF, 0)                  = 0
lseek(3, 512, SEEK_SET)                 = 512
read(3, "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"..., 4096) = 4096
close(3)                                = 0
open("/dev/sdd", O_RDONLY)              = 3
fstat(3, {st_mode=S_IFBLK|0660, st_rdev=makedev(8, 48), ...}) = 0
ioctl(3, BLKGETSIZE64, 0x7fff9ad88058)  = 0
close(3)                                = 0
write(2, "grub-probe: info: "..., 18grub-probe: info: )   = 18
write(2, "the size of hd3 is 488397168"..., 28the size of hd3 is 488397168) = 28
write(2, "\n"..., 1
)                    = 1
open("/dev/sdd1", O_RDONLY)             = 3
ioctl(3, 0x301, 0x7fff9ad87fc0)         = 0
close(3)                                = 0
open("/dev/sdd2", O_RDONLY)             = 3
ioctl(3, 0x301, 0x7fff9ad87fc0)         = 0
close(3)                                = 0
write(2, "grub-probe: info: "..., 18grub-probe: info: )   = 18
write(2, "opening the device `/dev/sdd2'"..., 30opening the device `/dev/sdd2') = 30
write(2, "\n"..., 1
)                    = 1
open("/dev/sdd2", O_RDONLY|O_SYNC)      = 3
ioctl(3, BLKFLSBUF, 0)                  = 0
lseek(3, 0, SEEK_SET)                   = 0
read(3, "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"..., 4096) = 4096
close(3)                                = 0
open("/dev/sdd", O_RDONLY)              = 3
fstat(3, {st_mode=S_IFBLK|0660, st_rdev=makedev(8, 48), ...}) = 0
ioctl(3, BLKGETSIZE64, 0x7fff9ad88058)  = 0
close(3)                                = 0
write(2, "grub-probe: info: "..., 18grub-probe: info: )   = 18
write(2, "the size of hd3 is 488397168"..., 28the size of hd3 is 488397168) = 28
write(2, "\n"..., 1
)                    = 1
open("/dev/sdd1", O_RDONLY)             = 3
ioctl(3, 0x301, 0x7fff9ad87fc0)         = 0
close(3)                                = 0
open("/dev/sdd2", O_RDONLY)             = 3
ioctl(3, 0x301, 0x7fff9ad87fc0)         = 0
close(3)                                = 0
open("/dev/sdd3", O_RDONLY)             = 3
ioctl(3, 0x301, 0x7fff9ad87fc0)         = 0
close(3)                                = 0
write(2, "grub-probe: info: "..., 18grub-probe: info: )   = 18
write(2, "opening the device `/dev/sdd3'"..., 30opening the device `/dev/sdd3') = 30
write(2, "\n"..., 1
)                    = 1
open("/dev/sdd3", O_RDONLY|O_SYNC)      = 3
ioctl(3, BLKFLSBUF, 0)                  = 0
lseek(3, 18446744073709548544, SEEK_SET) = -1 EINVAL (Invalid argument)
close(3)                                = 0
open("/dev/sdd1", O_RDONLY)             = 3
ioctl(3, 0x301, 0x7fff9ad87fc0)         = 0
close(3)                                = 0
open("/dev/sdd2", O_RDONLY)             = 3
ioctl(3, 0x301, 0x7fff9ad87fc0)         = 0
close(3)                                = 0
open("/dev/sdd3", O_RDONLY)             = 3
ioctl(3, 0x301, 0x7fff9ad87fc0)         = 0
close(3)                                = 0
write(2, "grub-probe: info: "..., 18grub-probe: info: )   = 18
write(2, "opening the device `/dev/sdd3'"..., 30opening the device `/dev/sdd3') = 30
write(2, "\n"..., 1
)                    = 1
open("/dev/sdd3", O_RDONLY|O_SYNC)      = 3
ioctl(3, BLKFLSBUF, 0)                  = 0
lseek(3, 0, SEEK_SET)                   = 0
read(3, "d\"\nstripe_count = 1\t# linear\n\nstr"..., 512) = 512
close(3)                                = 0
open("/dev/sdd1", O_RDONLY)             = 3
ioctl(3, 0x301, 0x7fff9ad87fc0)         = 0
close(3)                                = 0
open("/dev/sdd2", O_RDONLY)             = 3
ioctl(3, 0x301, 0x7fff9ad87fc0)         = 0
close(3)                                = 0
open("/dev/sdd3", O_RDONLY)             = 3
ioctl(3, 0x301, 0x7fff9ad87fc0)         = 0
close(3)                                = 0
write(2, "grub-probe: info: "..., 18grub-probe: info: )   = 18
write(2, "opening the device `/dev/sdd3'"..., 30opening the device `/dev/sdd3') = 30
write(2, "\n"..., 1
)                    = 1
open("/dev/sdd3", O_RDONLY|O_SYNC)      = 3
ioctl(3, BLKFLSBUF, 0)                  = 0
lseek(3, 18446744073709548544, SEEK_SET) = -1 EINVAL (Invalid argument)
close(3)                                = 0
open("/dev/sdd1", O_RDONLY)             = 3
ioctl(3, 0x301, 0x7fff9ad87fc0)         = 0
close(3)                                = 0
open("/dev/sdd2", O_RDONLY)             = 3
ioctl(3, 0x301, 0x7fff9ad87fc0)         = 0
close(3)                                = 0
open("/dev/sdd3", O_RDONLY)             = 3
ioctl(3, 0x301, 0x7fff9ad87fc0)         = 0
close(3)                                = 0
write(2, "grub-probe: info: "..., 18grub-probe: info: )   = 18
write(2, "opening the device `/dev/sdd3'"..., 30opening the device `/dev/sdd3') = 30
write(2, "\n"..., 1
)                    = 1
open("/dev/sdd3", O_RDONLY|O_SYNC)      = 3
ioctl(3, BLKFLSBUF, 0)                  = 0
lseek(3, 512, SEEK_SET)                 = 512
read(3, "\", 45056\n]\n}\n}\n\nbackup {\nid = \"AM"..., 512) = 512
close(3)                                = 0
open("/dev/sdd1", O_RDONLY)             = 3
ioctl(3, 0x301, 0x7fff9ad87fc0)         = 0
close(3)                                = 0
open("/dev/sdd2", O_RDONLY)             = 3
ioctl(3, 0x301, 0x7fff9ad87fc0)         = 0
close(3)                                = 0
open("/dev/sdd3", O_RDONLY)             = 3
ioctl(3, 0x301, 0x7fff9ad87fc0)         = 0
close(3)                                = 0
write(2, "grub-probe: info: "..., 18grub-probe: info: )   = 18
write(2, "opening the device `/dev/sdd3'"..., 30opening the device `/dev/sdd3') = 30
write(2, "\n"..., 1
)                    = 1
open("/dev/sdd3", O_RDONLY|O_SYNC)      = 3
ioctl(3, BLKFLSBUF, 0)                  = 0
lseek(3, 1024, SEEK_SET)                = 1024
read(3, "version 2.02.35 (2008-04-15): Sat"..., 4096) = 4096
close(3)                                = 0
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
+++ killed by SIGSEGV +++
whg:~# 


-- Package-specific info:

*********************** BEGIN /boot/grub/device.map
(hd0)	/dev/sda
(hd1)	/dev/sdb
(hd2)	/dev/sdc
(hd3)	/dev/sdd
*********************** END /boot/grub/device.map

*********************** BEGIN /proc/mounts
/dev/md0 / ext3 rw,errors=remount-ro,data=ordered 0 0
/dev/mapper/vg-backup /backup ext3 rw,errors=continue,acl,data=ordered 0 0
/dev/mapper/vg-tmp /tmp ext3 rw,errors=continue,data=ordered 0 0
/dev/mapper/vg-home /home ext3 rw,errors=continue,acl,data=ordered 0 0
/dev/mapper/vg-srv /srv ext3 rw,errors=continue,data=ordered 0 0
*********************** END /proc/mounts

*********************** BEGIN /boot/grub/menu.lst
# menu.lst - See: grub(8), info grub, update-grub(8)
#            grub-install(8), grub-floppy(8),
#            grub-md5-crypt, /usr/share/doc/grub
#            and /usr/share/doc/grub-legacy-doc/.

## default num
# Set the default entry to the entry number NUM. Numbering starts from 0, and
# the entry number 0 is the default if the command is not used.
#
# You can specify 'saved' instead of a number. In this case, the default entry
# is the entry saved with the command 'savedefault'.
# WARNING: If you are using dmraid do not change this entry to 'saved' or your
# array will desync and will not let you boot your system.
default		0

## timeout sec
# Set a timeout, in SEC seconds, before automatically booting the default entry
# (normally the first entry defined).
timeout		5

# Pretty colours
color cyan/blue white/blue

### PASSWORD LINE REMOVED ###
# If used in the first section of a menu file, disable all interactive editing
# control (menu entry editor and command-line)  and entries protected by the
# command 'lock'
### PASSWORD LINE REMOVED ###
### PASSWORD LINE REMOVED ###
### PASSWORD LINE REMOVED ###

#
# examples
#
# title		Windows 95/98/NT/2000
# root		(hd0,0)
# makeactive
# chainloader	+1
#
# title		Linux
# root		(hd0,1)
# kernel	/vmlinuz root=/dev/hda2 ro
#

#
# Put static boot stanzas before and/or after AUTOMAGIC KERNEL LIST

### BEGIN AUTOMAGIC KERNELS LIST
## lines between the AUTOMAGIC KERNELS LIST markers will be modified
## by the debian update-grub script except for the default options below

## DO NOT UNCOMMENT THEM, Just edit them to your needs

## ## Start Default Options ##
## default kernel options
## default kernel options for automagic boot options
## If you want special options for specific kernels use kopt_x_y_z
## where x.y.z is kernel version. Minor versions can be omitted.
## e.g. kopt=root=/dev/hda1 ro
##      kopt_2_6_8=root=/dev/hdc1 ro
##      kopt_2_6_8_2_686=root=/dev/hdc2 ro
# kopt=root=/dev/md0 ro iommu=noaperture

## default grub root device
## e.g. groot=(hd0,0)
# groot=(hd0,0)

## should update-grub create alternative automagic boot options
## e.g. alternative=true
##      alternative=false
# alternative=true

## should update-grub lock alternative automagic boot options
## e.g. lockalternative=true
##      lockalternative=false
# lockalternative=false

## additional options to use with the default boot option, but not with the
## alternatives
## e.g. defoptions=vga=791 resume=/dev/hda5
# defoptions=quiet

## should update-grub lock old automagic boot options
## e.g. lockold=false
##      lockold=true
# lockold=false

## Xen hypervisor options to use with the default Xen boot option
# xenhopt=

## Xen Linux kernel options to use with the default Xen boot option
# xenkopt=console=tty0

## altoption boot targets option
## multiple altoptions lines are allowed
## e.g. altoptions=(extra menu suffix) extra boot options
##      altoptions=(single-user) single
# altoptions=(single-user mode) single

## controls how many kernels should be put into the menu.lst
## only counts the first occurence of a kernel, not the
## alternative kernel options
## e.g. howmany=all
##      howmany=7
# howmany=all

## should update-grub create memtest86 boot option
## e.g. memtest86=true
##      memtest86=false
# memtest86=true

## should update-grub adjust the value of the default booted system
## can be true or false
# updatedefaultentry=false

## should update-grub add savedefault to the default options
## can be true or false
# savedefault=false

## ## End Default Options ##

title		Debian GNU/Linux, kernel 2.6.26-1-amd64
root		(hd0,0)
kernel		/boot/vmlinuz-2.6.26-1-amd64 root=/dev/md0 ro iommu=noaperture
initrd		/boot/initrd.img-2.6.26-1-amd64

title		Debian GNU/Linux, kernel 2.6.26-1-amd64 (single-user mode)
root		(hd0,0)
kernel		/boot/vmlinuz-2.6.26-1-amd64 root=/dev/md0 ro iommu=noaperture single
initrd		/boot/initrd.img-2.6.26-1-amd64

title		Debian GNU/Linux, kernel 2.6.24-1-amd64
root		(hd0,0)
kernel		/boot/vmlinuz-2.6.24-1-amd64 root=/dev/md0 ro iommu=noaperture
initrd		/boot/initrd.img-2.6.24-1-amd64

title		Debian GNU/Linux, kernel 2.6.24-1-amd64 (single-user mode)
root		(hd0,0)
kernel		/boot/vmlinuz-2.6.24-1-amd64 root=/dev/md0 ro iommu=noaperture single
initrd		/boot/initrd.img-2.6.24-1-amd64

### END DEBIAN AUTOMAGIC KERNELS LIST
*********************** END /boot/grub/menu.lst

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages grub depends on:
ii  grub-common             1.96+20080724-10 GRand Unified Bootloader, version 

grub recommends no packages.

Versions of packages grub suggests:
pn  grub-legacy-doc               <none>     (no description available)
ii  mdadm                         2.6.7-3.1  tool to administer Linux MD arrays
pn  multiboot-doc                 <none>     (no description available)

-- no debconf information




Bug reassigned from package `grub' to `grub-common'. Request was from Felix Zielcke <fzielcke@z-51.de> to control@bugs.debian.org. (Sun, 28 Sep 2008 18:21:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#500482; Package grub-common. (Sun, 28 Sep 2008 18:24:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Felix Zielcke <fzielcke@z-51.de>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sun, 28 Sep 2008 18:24:10 GMT) Full text and rfc822 format available.

Message #12 received at 500482@bugs.debian.org (full text, mbox):

From: Felix Zielcke <fzielcke@z-51.de>
To: Zrin Ziborski <zrin.debian@ziborski.net>, 500482@bugs.debian.org
Subject: Re: Bug#500482: Segmentation fault in grub-probe
Date: Sun, 28 Sep 2008 20:21:28 +0200
Am Sonntag, den 28.09.2008, 19:34 +0200 schrieb Zrin Ziborski:
> Package: grub
> Version: 0.97-47
> Severity: grave
> Justification: renders package unusable for many users
> 
> 
> Segmentation fault in grub-probe prevents any automated install.
> Only manual installation within grub shell is possible.

Does `mdadm -Q --detail /dev/mdN' show a removed disk on any of your
RAID?
If so then this has been already fixed upstream.
If not then I don't have a clue where it comes from.
Would be good if you could compile a debug grub-probe from the source to
get a backtrace.





Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#500482; Package grub-common. (Fri, 03 Oct 2008 17:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Felix Zielcke <fzielcke@z-51.de>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Fri, 03 Oct 2008 17:30:05 GMT) Full text and rfc822 format available.

Message #17 received at 500482@bugs.debian.org (full text, mbox):

From: Felix Zielcke <fzielcke@z-51.de>
To: "ziborski.net admin" <admin@ziborski.net>
Cc: 'Zrin Ziborski' <zrin.debian@ziborski.net>, 500482@bugs.debian.org
Subject: RE: Bug#500482: Segmentation fault in grub-probe
Date: Fri, 03 Oct 2008 19:27:24 +0200
Am Montag, den 29.09.2008, 00:45 +0200 schrieb ziborski.net admin:

> No, there are no removed devices, all are "active sync".
> Please note that /dev/md3 is a RAID0 built on top of two RAID1
> (md1 and md2) which causes md2 - and its underlying partitions
> sdc3 and sdd3 to start with the second 16 KiB chunk of /dev/md3
> (and LVM pv it is containing).

Ah you use LVM.
There's a known problem with it's circular metadata which isn't yet
fixed  upstream but there's a patch floating around which solves this.
Maybe that's your problem.
I just tried now a mdraid md2 which goes over mdraid md1 and md0 and
this didn't lead to a segfault in grub-probe.

Here you find the patch and intructions how to compile it:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=495949#69

If this still doestn't solve your problem then we need a GDB backtrace.
Instructions for this are in same report.
Maybe this is even related to it.






Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#500482; Package grub-common. (Fri, 17 Oct 2008 22:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Viehmann <tv@beamnet.de>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Fri, 17 Oct 2008 22:36:03 GMT) Full text and rfc822 format available.

Message #22 received at 500482@bugs.debian.org (full text, mbox):

From: Thomas Viehmann <tv@beamnet.de>
To: Zrin Ziborski <zrin.debian@ziborski.net>
Cc: 500482@bugs.debian.org
Subject: your bug about grub in Debian
Date: Sat, 18 Oct 2008 00:34:37 +0200
Hi Zrin,

you have reported a bug about grub-probe segfaulting.
The Debian grub maintainer would like to have your input on whether a
related problem fix also fixes the bug you have encountered[1].
Is there any chance you would be able to do this? (Please also say so if
you cannot.) If you would prefer to get a binary package to try out to
be built for you or require any other assistance, don't hesitate to ask.
We would like to solve the problem both for you and other users, but we
need your input to move this forward.

Kind regards

Thomas

1. http://bugs.debian.org/500482#17
-- 
Thomas Viehmann, http://thomas.viehmann.net/




Tags added: moreinfo Request was from Thomas Viehmann <tv@beamnet.de> to control@bugs.debian.org. (Fri, 17 Oct 2008 22:36:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#500482; Package grub-common. (Sun, 26 Oct 2008 19:24:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sun, 26 Oct 2008 19:24:07 GMT) Full text and rfc822 format available.

Message #29 received at 500482@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 500482@bugs.debian.org, 500482-submitter@bugs.debian.org
Subject: Re: Segmentation fault in grub-probe
Date: Sun, 26 Oct 2008 12:17:28 -0700
severity 500482 normal
tags 500482 unreproducible moreinfo
thanks

Hi Zrin,

I have tried to reproduce this with the following (comparable, but not
identical) configuration:

- install lenny using the daily d-i images
- configure hda1, hdb1 as a 5GB RAID1 /dev/md0, add an ext3 filesystem on
  top of it
- create 1GB swap on hda2, hdb2
- create a 17GB RAID1 /dev/md1 on hda3 and hdb3
- create a 17GB RAID1 /dev/md2 on hda4 and hdb4
- create a RAID0 /dev/md3 over /dev/md1 and /dev/md2 with 16KiB chunk size
- pvcreate /dev/md3
- add /dev/md3 to a VG
- create a LV on the VG
- run grub-probe -d /dev/md0
- result: 'ext2' is printed; no segfault.

If you're still able to reproduce this problem, please respond to Felix's
requests for more information, because as far as I can see this bug is
unreproducible in lenny.

If you can reproduce the bug, then please run grub-probe under gdb and
provide a backtrace.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org




Severity set to `normal' from `grave' Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Sun, 26 Oct 2008 19:24:10 GMT) Full text and rfc822 format available.

Tags added: unreproducible, moreinfo Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Sun, 26 Oct 2008 19:24:11 GMT) Full text and rfc822 format available.

Message sent on to Zrin Ziborski <zrin.debian@ziborski.net>:
Bug#500482. (Sun, 26 Oct 2008 19:24:14 GMT) Full text and rfc822 format available.

Information stored :
Bug#500482; Package grub-common. (Mon, 27 Oct 2008 09:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Zrin Ziborski" <zrin.debian@ziborski.net>:
Extra info received and filed, but not forwarded. (Mon, 27 Oct 2008 09:15:08 GMT) Full text and rfc822 format available.

Message #41 received at 500482-quiet@bugs.debian.org (full text, mbox):

From: "Zrin Ziborski" <zrin.debian@ziborski.net>
To: "'Steve Langasek'" <vorlon@debian.org>, <500482-quiet@bugs.debian.org>
Cc: "'Felix Zielcke'" <fzielcke@z-51.de>, "'Thomas Viehmann'" <tv@beamnet.de>
Subject: RE: Bug#500482: Segmentation fault in grub-probe
Date: Mon, 27 Oct 2008 10:13:19 +0100
[Message part 1 (text/plain, inline)]
Hi, 

> From: Steve Langasek [mailto:vorlon@debian.org] 
> Sent: Sunday, October 26, 2008 8:17 PM
> To: 500482@bugs.debian.org; 500482-submitter@bugs.debian.org
> Subject: Bug#500482: Segmentation fault in grub-probe
> I have tried to reproduce this with the following (comparable, but not
> identical) configuration:
[...]

I believe that if grub-probe segfaults or not depends on
the data at the start of each partition it reads.

I've updated lenny now, I have grub-probe (GRUB) 1.96
from grub-common 1.96+20080724-10

I am still able to reproduce the segfault.

grub-probe -v -d /dev/md0
ends with
grub-probe: info: the size of hd3 is 488397168
grub-probe: info: opening the device `/dev/sdd3'
grub-probe: info: opening the device `/dev/sdd3'
grub-probe: info: opening the device `/dev/sdd3'
grub-probe: info: opening the device `/dev/sdd3'
grub-probe: info: opening the device `/dev/sdd3'
Segmentation fault


A dump of first 4096 bytes of each partition (sd[abcd][123])
of that system is included in the attachment. I hope you can
use it to find the bug.
Configuration overview:
sd[abcd]1   as RAID1 /dev/md0
sd[abcd]2   as swap
sd[ab]3     as RAID1 /dev/md1
sd[cd]3     as RAID1 /dev/md2
/dev/md[12] as RAID0 /dev/md3
/dev/md3    as LVM2 PV with VG "vg", 447.03 GB
vg        with 5 LVs


(Btw, why does grub-probe have to read from partitions
which have nothing to do with specified device and might
even be unformatted?)

best regards,
Zrin
[500482-partition_dumps.tar.gz (application/x-gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#500482; Package grub-common. (Mon, 27 Oct 2008 10:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Viehmann <tv@beamnet.de>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Mon, 27 Oct 2008 10:21:04 GMT) Full text and rfc822 format available.

Message #46 received at 500482@bugs.debian.org (full text, mbox):

From: Thomas Viehmann <tv@beamnet.de>
To: Felix Zielcke <fzielcke@z-51.de>
Cc: Zrin Ziborski <zrin.debian@ziborski.net>, 'Steve Langasek' <vorlon@debian.org>, <500482@bugs.debian.org>, <500482@bugs.debian.org>, 'Thomas Viehmann' <tv@beamnet.de>
Subject: Re: RE: Bug#500482: Segmentation fault in grub-probe
Date: Mon, 27 Oct 2008 11:17:20 +0100
On 2008-10-27 11:13:02.00 Felix Zielcke <fzielcke@z-51.de> wrote:
> Did you try to compile your own grub2 packages like I already  
> suggested?
> This lvm circular metadata fix is not yet in Debian but will be in  
> the
> next uploaded. It has been already commited upstream and to our  
> lenny
> branch.
> 
> You can find here instructions how to compile:
> 
> http://wiki.debian.org/de/GRUB2/Anleitung/DebianPaketVonOriginalQuelltext
> 
> Feel free to ask if this isn't self-explanatory to you.

He asked me to provide precompiled amd64.
Could you send him a link, please?

Kind regards

T.




Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#500482; Package grub-common. (Mon, 27 Oct 2008 10:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Felix Zielcke <fzielcke@z-51.de>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Mon, 27 Oct 2008 10:21:05 GMT) Full text and rfc822 format available.

Message #51 received at 500482@bugs.debian.org (full text, mbox):

From: Felix Zielcke <fzielcke@z-51.de>
To: Zrin Ziborski <zrin.debian@ziborski.net>
Cc: 'Steve Langasek' <vorlon@debian.org>, 500482@bugs.debian.org, 'Thomas Viehmann' <tv@beamnet.de>
Subject: RE: Bug#500482: Segmentation fault in grub-probe
Date: Mon, 27 Oct 2008 11:13:02 +0100
Am Montag, den 27.10.2008, 10:13 +0100 schrieb Zrin Ziborski:

> I believe that if grub-probe segfaults or not depends on
> the data at the start of each partition it reads.
> 
> I've updated lenny now, I have grub-probe (GRUB) 1.96
> from grub-common 1.96+20080724-10
> 
> I am still able to reproduce the segfault.

>read(3, "version 2.02.35 (2008-04-15): Sat"..., 4096) = 4096
>close(3)                                = 0
>--- SIGSEGV (Segmentation fault) @ 0 (0) ---
>+++ killed by SIGSEGV +++

2.02.35 looks like a lvm2 package version.

Did you try to compile your own grub2 packages like I already suggested?
This lvm circular metadata fix is not yet in Debian but will be in the
next uploaded. It has been already commited upstream and to our lenny
branch.

You can find here instructions how to compile:

http://wiki.debian.org/de/GRUB2/Anleitung/DebianPaketVonOriginalQuelltext

Feel free to ask if this isn't self-explanatory to you.

-- 
Felix Zielcke





Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#500482; Package grub-common. (Mon, 27 Oct 2008 10:28:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Felix Zielcke <fzielcke@z-51.de>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Mon, 27 Oct 2008 10:29:20 GMT) Full text and rfc822 format available.

Message #56 received at 500482@bugs.debian.org (full text, mbox):

From: Felix Zielcke <fzielcke@z-51.de>
To: Thomas Viehmann <tv@beamnet.de>
Cc: Zrin Ziborski <zrin.debian@ziborski.net>, 'Steve Langasek' <vorlon@debian.org>, 500482@bugs.debian.org
Subject: Re: RE: Bug#500482: Segmentation fault in grub-probe
Date: Mon, 27 Oct 2008 11:22:41 +0100
[Message part 1 (text/plain, inline)]
Am Montag, den 27.10.2008, 11:17 +0100 schrieb Thomas Viehmann:

> He asked me to provide precompiled amd64.
> Could you send him a link, please?

Attached. Luckly I just did yesterday for my own a compile.
But I'm neither a DD nor DM so apt/dpkg may complain about it.


-- 
Felix Zielcke
[grub-common_1.96+20081026-1_amd64.deb (application/x-deb, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#500482; Package grub-common. (Mon, 27 Oct 2008 21:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem.jover@nokia.com>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Mon, 27 Oct 2008 21:48:02 GMT) Full text and rfc822 format available.

Message #61 received at 500482@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem.jover@nokia.com>
To: Steve Langasek <vorlon@debian.org>, 500482@bugs.debian.org
Cc: 500482-submitter@bugs.debian.org
Subject: Re: Bug#500482: Segmentation fault in grub-probe
Date: Mon, 27 Oct 2008 23:43:40 +0200
[Message part 1 (text/plain, inline)]
severity 500482 serious
tags 500482 - unreproducible moreinfo
tags 500482 + patch
thanks

Hi,

Setting severity to serious (not grave) as this does not affect
everyone, but if it does prevents installing kernels. But of course
adjust if you disagree.

On Sun, 2008-10-26 at 12:17:28 -0700, Steve Langasek wrote:
> I have tried to reproduce this with the following (comparable, but not
> identical) configuration:
> 
> - install lenny using the daily d-i images
> - configure hda1, hdb1 as a 5GB RAID1 /dev/md0, add an ext3 filesystem on
>   top of it
> - create 1GB swap on hda2, hdb2
> - create a 17GB RAID1 /dev/md1 on hda3 and hdb3
> - create a 17GB RAID1 /dev/md2 on hda4 and hdb4
> - create a RAID0 /dev/md3 over /dev/md1 and /dev/md2 with 16KiB chunk size
> - pvcreate /dev/md3
> - add /dev/md3 to a VG
> - create a LV on the VG
> - run grub-probe -d /dev/md0
> - result: 'ext2' is printed; no segfault.
>
> If you're still able to reproduce this problem, please respond to Felix's
> requests for more information, because as far as I can see this bug is
> unreproducible in lenny.

One of the internal boxes at Nokia had this same problem, it does not
have any software RAID nor any LVM setup, but on /dev/sda3 there seems
to be remains of what used to be a LV.

> If you can reproduce the bug, then please run grub-probe under gdb and
> provide a backtrace.

Ok even better, just cooked a patch. The problem was that the error
recovery code is buggy, and it inserts data structures and does not
take them out in case of error unwinding, which happens in this case.
I opted to delay the insertion until a point were the code cannot
fail. I also check for an additional possible returned NULL.

Attached the patch.

regards,
guillem
[0001-lvm-Fix-error-recovery-by-only-adding-objects-when.patch (text/x-diff, attachment)]

Severity set to `serious' from `normal' Request was from Guillem Jover <guillem.jover@nokia.com> to control@bugs.debian.org. (Mon, 27 Oct 2008 21:48:05 GMT) Full text and rfc822 format available.

Tags removed: unreproducible, moreinfo Request was from Guillem Jover <guillem.jover@nokia.com> to control@bugs.debian.org. (Mon, 27 Oct 2008 21:48:06 GMT) Full text and rfc822 format available.

Tags added: patch Request was from Guillem Jover <guillem.jover@nokia.com> to control@bugs.debian.org. (Mon, 27 Oct 2008 21:48:06 GMT) Full text and rfc822 format available.

Message sent on to Zrin Ziborski <zrin.debian@ziborski.net>:
Bug#500482. (Mon, 27 Oct 2008 21:48:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#500482; Package grub-common. (Tue, 28 Oct 2008 00:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Tue, 28 Oct 2008 00:12:02 GMT) Full text and rfc822 format available.

Message #75 received at 500482@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Guillem Jover <guillem.jover@nokia.com>, 500482@bugs.debian.org
Cc: Steve Langasek <vorlon@debian.org>
Subject: Re: Bug#500482: Segmentation fault in grub-probe
Date: Tue, 28 Oct 2008 01:09:24 +0100
On Mon, Oct 27, 2008 at 23:43:40 +0200, Guillem Jover wrote:

> +
> +	      p = grub_strchr (p, '}') + 1;
> +	      if (p == NULL)
> +		goto pvs_fail;
> +

This test seems buggy.  The +1 needs to be after the NULL check.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#500482; Package grub-common. (Tue, 28 Oct 2008 07:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Zrin Ziborski" <zrin.debian@ziborski.net>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Tue, 28 Oct 2008 07:54:02 GMT) Full text and rfc822 format available.

Message #80 received at 500482@bugs.debian.org (full text, mbox):

From: "Zrin Ziborski" <zrin.debian@ziborski.net>
To: "'Felix Zielcke'" <fzielcke@z-51.de>, "'Thomas Viehmann'" <tv@beamnet.de>, "'Steve Langasek'" <vorlon@debian.org>
Cc: <500482@bugs.debian.org>
Subject: RE: Bug#500482: Segmentation fault in grub-probe (1.96+20081026-1)
Date: Tue, 28 Oct 2008 08:52:06 +0100
[Message part 1 (text/plain, inline)]
Hi,

thank you for the 1.96+20081026-1 binary - I just extracted
the grub-probe binary and tested it on the target system.
The output is somewhat different now, but it still ends
with a segfault:

whg:~/tmp# ./grub-probe -vvv -d /dev/md0

/home/fz/grub/grub2-1.96+20081026/kern/disk.c:220: Opening `hd0'...
grub-probe: info: the size of hd0 is 488397168
/home/fz/grub/grub2-1.96+20081026/kern/disk.c:368: Reading `hd0'...
/home/fz/grub/grub2-1.96+20081026/util/hostdisk.c:316: opening the device
`/dev/sda' in
open_device()/home/fz/grub/grub2-1.96+20081026/kern/disk.c:368: Reading
`hd0'...
[...]
/home/fz/grub/grub2-1.96+20081026/kern/disk.c:220: Opening `hd3,3'...
grub-probe: info: the size of hd3 is 488397168
/home/fz/grub/grub2-1.96+20081026/kern/disk.c:368: Reading `hd3,3'...
/home/fz/grub/grub2-1.96+20081026/kern/disk.c:368: Reading `hd3,3'...
/home/fz/grub/grub2-1.96+20081026/partmap/apple.c:129: bad magic (found
0xeb48; wanted 0x4552
/home/fz/grub/grub2-1.96+20081026/kern/disk.c:368: Reading `hd3,3'...
/home/fz/grub/grub2-1.96+20081026/partmap/pc.c:143: partition 0: flag 0x80,
type 0xfd, start 0x3f, len 0x950a21
/home/fz/grub/grub2-1.96+20081026/partmap/pc.c:143: partition 1: flag 0x0,
type 0x82, start 0x950a60, len 0x772266
/home/fz/grub/grub2-1.96+20081026/partmap/pc.c:143: partition 2: flag 0x0,
type 0xfd, start 0x10c2cc6, len 0x1bf0797a
/home/fz/grub/grub2-1.96+20081026/kern/disk.c:368: Reading `hd3,3'...
/home/fz/grub/grub2-1.96+20081026/util/hostdisk.c:316: opening the device
`/dev/sdd3' in
open_device()/home/fz/grub/grub2-1.96+20081026/util/hostdisk.c:316: opening
the device `/dev/sdd3' in
open_device()/home/fz/grub/grub2-1.96+20081026/kern/disk.c:368: Reading
`hd3,3'...
/home/fz/grub/grub2-1.96+20081026/util/hostdisk.c:316: opening the device
`/dev/sdd3' in
open_device()/home/fz/grub/grub2-1.96+20081026/util/hostdisk.c:316: opening
the device `/dev/sdd3' in
open_device()/home/fz/grub/grub2-1.96+20081026/kern/disk.c:368: Reading
`hd3,3'...
/home/fz/grub/grub2-1.96+20081026/util/hostdisk.c:316: opening the device
`/dev/sdd3' in
open_device()/home/fz/grub/grub2-1.96+20081026/kern/disk.c:368: Reading
`hd3,3'...
/home/fz/grub/grub2-1.96+20081026/kern/disk.c:312: Closing `hd3,3'.
/home/fz/grub/grub2-1.96+20081026/partmap/pc.c:143: partition 3: flag 0x0,
type 0x0, start 0x0, len 0x0
/home/fz/grub/grub2-1.96+20081026/kern/disk.c:312: Closing `hd3'.
/home/fz/grub/grub2-1.96+20081026/disk/raid.c:604: Scanning for RAID devices
/home/fz/grub/grub2-1.96+20081026/kern/disk.c:220: Opening `(null)'...
Segmentation fault

(full output and strace attached)

Perhaps you could try to reproduce the bug by puting my
partition dumps (attached) on some test partitions.

Steve: If you still have the test setup, please try to dump
my sda3 to your hda3, my sdb3 to your hdb3, my sdc3 to your hda4 and
my sdd3 to your hdb4 and test again.

best regards,
Zrin
[grub-probe-1.96+20081026-strace.txt.gz (application/x-gzip, attachment)]
[grub-probe-1.96+20081026-vvv.txt.gz (application/x-gzip, attachment)]
[500482-partition_dumps.tar.gz (application/x-gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#500482; Package grub-common. (Tue, 28 Oct 2008 17:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem.jover@nokia.com>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Tue, 28 Oct 2008 17:12:03 GMT) Full text and rfc822 format available.

Message #85 received at 500482@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem.jover@nokia.com>
To: Julien Cristau <jcristau@debian.org>
Cc: 500482@bugs.debian.org, Steve Langasek <vorlon@debian.org>
Subject: Re: Bug#500482: Segmentation fault in grub-probe
Date: Tue, 28 Oct 2008 19:07:36 +0200
[Message part 1 (text/plain, inline)]
Hi,

On Tue, 2008-10-28 at 01:09:24 +0100, Julien Cristau wrote:
> On Mon, Oct 27, 2008 at 23:43:40 +0200, Guillem Jover wrote:
> > +
> > +	      p = grub_strchr (p, '}') + 1;
> > +	      if (p == NULL)
> > +		goto pvs_fail;
> > +
> 
> This test seems buggy.  The +1 needs to be after the NULL check.

Bah! Right, didn't notice. Attached now the patch split in two parts,
one fixing this and another instance of this problem and the other one
fixing this current segfault.

regards,
guillem
[0001-lvm-Fix-possible-NULL-value-handling.patch (text/x-diff, attachment)]
[0002-lvm-Fix-error-recovery-by-only-adding-objects-when.patch (text/x-diff, attachment)]

Tags added: pending Request was from Robert Millan <rmh@aybabtu.com> to control@bugs.debian.org. (Wed, 29 Oct 2008 18:30:57 GMT) Full text and rfc822 format available.

Reply sent to Robert Millan <rmh@aybabtu.com>:
You have taken responsibility. (Wed, 29 Oct 2008 21:24:14 GMT) Full text and rfc822 format available.

Notification sent to Zrin Ziborski <zrin.debian@ziborski.net>:
Bug acknowledged by developer. (Wed, 29 Oct 2008 21:24:15 GMT) Full text and rfc822 format available.

Message #92 received at 500482-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: 500482-close@bugs.debian.org
Subject: Bug#500482: fixed in grub2 1.96+20080724-11
Date: Wed, 29 Oct 2008 21:17:10 +0000
Source: grub2
Source-Version: 1.96+20080724-11

We believe that the bug you reported is fixed in the latest version of
grub2, which is due to be installed in the Debian FTP archive:

grub-common_1.96+20080724-11_amd64.deb
  to pool/main/g/grub2/grub-common_1.96+20080724-11_amd64.deb
grub-efi_1.96+20080724-11_amd64.deb
  to pool/main/g/grub2/grub-efi_1.96+20080724-11_amd64.deb
grub-ieee1275_1.96+20080724-11_amd64.deb
  to pool/main/g/grub2/grub-ieee1275_1.96+20080724-11_amd64.deb
grub-linuxbios_1.96+20080724-11_amd64.deb
  to pool/main/g/grub2/grub-linuxbios_1.96+20080724-11_amd64.deb
grub-pc_1.96+20080724-11_amd64.deb
  to pool/main/g/grub2/grub-pc_1.96+20080724-11_amd64.deb
grub-rescue-pc_1.96+20080724-11_amd64.deb
  to pool/main/g/grub2/grub-rescue-pc_1.96+20080724-11_amd64.deb
grub2_1.96+20080724-11.diff.gz
  to pool/main/g/grub2/grub2_1.96+20080724-11.diff.gz
grub2_1.96+20080724-11.dsc
  to pool/main/g/grub2/grub2_1.96+20080724-11.dsc
grub2_1.96+20080724-11_amd64.deb
  to pool/main/g/grub2/grub2_1.96+20080724-11_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 500482@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@aybabtu.com> (supplier of updated grub2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 29 Oct 2008 19:27:00 +0100
Source: grub2
Binary: grub2 grub-of grub-common grub-pc grub-rescue-pc grub-linuxbios grub-efi grub-ieee1275
Architecture: source amd64
Version: 1.96+20080724-11
Distribution: unstable
Urgency: high
Maintainer: GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>
Changed-By: Robert Millan <rmh@aybabtu.com>
Description: 
 grub-common - GRand Unified Bootloader, version 2 (common files)
 grub-efi   - GRand Unified Bootloader, version 2 (EFI version)
 grub-ieee1275 - GRand Unified Bootloader, version 2 (Open Firmware version)
 grub-linuxbios - GRand Unified Bootloader, version 2 (LinuxBIOS version)
 grub-of    - GRand Unified Bootloader, version 2 [dummy]
 grub-pc    - GRand Unified Bootloader, version 2 (PC/BIOS version)
 grub-rescue-pc - GRUB bootable rescue images, version 2 (PC/BIOS version)
 grub2      - GRand Unified Bootloader, version 2 (dummy package)
Closes: 462835 500112 500482 500514 502953 503708 503715 503809 503841 503869
Changes: 
 grub2 (1.96+20080724-11) unstable; urgency=high
 .
   [ Felix Zielcke ]
   * patches/00_trailing_slash.diff: New patch to remove the trailing slash on
     grub prefix to avoid a double slash, which is a problem for JFS.
     (Closes: #500112)
   * patches/00_lvm_circular_metadata.diff: New patch to handle circular LVM
     metadata. (Closes: #462835, #502953)
   * Make grub-pc/linux_cmdline debconf template translatable. (Closes #503478).
 .
   [ Robert Millan ]
   * Fix NULL dereference and failure paths in LVM.  Thanks Guillem Jover.
     (Closes: #500482)
     - patches/11_lvm-Fix-possible-NULL-value-handling.diff
     - patches/12_lvm-Fix-error-recovery-by-only-adding-objects-when.diff
 .
   [ Updated translations ]
   * Dutch (nl.po) by Paul Gevers. (Closes: #500514)
   * French (fr.po) by Christian Perrier. (Closes: #503708)
   * Georgian (ka.po) by Aiet Kolkhi. (Closes: #503715)
   * Czech (cs.po) by Miroslav Kure. (Closes: #503809)
   * German (de.po) by Helge Kreutzmann. (Closes: #503841)
   * Japanese (ja.po) by Hideki Yamane. (Closes: #503869)
Checksums-Sha1: 
 30a104b82ef295fcf354f43ba82576079cd2cebc 2036 grub2_1.96+20080724-11.dsc
 00a72144ec9e70e4b9a3346bd29d5946e0cfe653 58499 grub2_1.96+20080724-11.diff.gz
 8673cf654d0b0959eec91c07eeb04e779485752e 124220 grub2_1.96+20080724-11_amd64.deb
 493e869dafe9866a78ce0144d18d74edec0431cc 197040 grub-common_1.96+20080724-11_amd64.deb
 45a8e5346e9c62c0a8ab644617a56c33e938f40f 1472326 grub-pc_1.96+20080724-11_amd64.deb
 abbb3893fa4e43d722b7fc5ba8d2e3d95fe9d5fa 439944 grub-rescue-pc_1.96+20080724-11_amd64.deb
 9aa824e77edaf8779fe17d61834dc1ce5807dd67 1316998 grub-linuxbios_1.96+20080724-11_amd64.deb
 c09e853651a7e019a2bffa49a9b668f10423ae09 1235650 grub-efi_1.96+20080724-11_amd64.deb
 14f17a26eaa552c667915ee4d8f19dd709017c66 1319228 grub-ieee1275_1.96+20080724-11_amd64.deb
Checksums-Sha256: 
 7353201191566a24886dbb914d3164613fbf19bf0b9599533c7db3499f21e90f 2036 grub2_1.96+20080724-11.dsc
 df96b61cc2e1b9e3eacedefc07133642178d372b4cca54bd05668a9f079c115e 58499 grub2_1.96+20080724-11.diff.gz
 92dbc25d974a72d47b5c8c4694612d03b326d4d27c07ede711243cbe8fbe3a7b 124220 grub2_1.96+20080724-11_amd64.deb
 8126186bee1c0121b5bedae122cef974d08330b9ebb43a6ee73c0536775a1bdc 197040 grub-common_1.96+20080724-11_amd64.deb
 e261569582d5b3aea3f88afd781165e617f3bcf37823c27fcf184d1b3ecc1e2a 1472326 grub-pc_1.96+20080724-11_amd64.deb
 00f7dc6ead7495f869af8e85c4e83c6b9d09a6d4141d80063b7c0099d9db9b3d 439944 grub-rescue-pc_1.96+20080724-11_amd64.deb
 80052fb161a5ae2aeccc0619fec45d410b13ffb13416f9f55d69bfaab7e5d66c 1316998 grub-linuxbios_1.96+20080724-11_amd64.deb
 3109de8a2095f8d527ac7bff8721808a8e7b4e2e2369eb85c95f22dc74ca11f4 1235650 grub-efi_1.96+20080724-11_amd64.deb
 993d96d02c2a63cccff389ff0693632bc1c1c589eb435c456e93e79865512d80 1319228 grub-ieee1275_1.96+20080724-11_amd64.deb
Files: 
 04e879d9b36f36e76884bdf09e60acf6 2036 admin extra grub2_1.96+20080724-11.dsc
 e3d1dd03c0fa8bd4c67e31f8e0320502 58499 admin extra grub2_1.96+20080724-11.diff.gz
 3c54bc168f07df79ac94a1e71fa72723 124220 admin extra grub2_1.96+20080724-11_amd64.deb
 4337e0d4c70213888a81dd127adb0d6c 197040 admin extra grub-common_1.96+20080724-11_amd64.deb
 7356065827ff382331eaf126023f2e20 1472326 admin extra grub-pc_1.96+20080724-11_amd64.deb
 c4dace6c2cdb4bf1d5a5295a7454fde4 439944 admin extra grub-rescue-pc_1.96+20080724-11_amd64.deb
 e97c49ed1bb9ba6024c981a9c7c139d3 1316998 admin extra grub-linuxbios_1.96+20080724-11_amd64.deb
 2738e801e5edd758140d9e1694da4b72 1235650 admin extra grub-efi_1.96+20080724-11_amd64.deb
 d21d9df79ea956920674e458157aa4b4 1319228 admin extra grub-ieee1275_1.96+20080724-11_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkkIvnIACgkQC19io6rUCv9grQCfXGpDMSiSC1yUswvvkSBD8SyC
mMcAnRbSkLQJI0BmXYDj2nMyxMwEY6oA
=9fAi
-----END PGP SIGNATURE-----





Reply sent to Robert Millan <rmh@aybabtu.com>:
You have taken responsibility. (Sat, 08 Nov 2008 14:30:14 GMT) Full text and rfc822 format available.

Notification sent to Zrin Ziborski <zrin.debian@ziborski.net>:
Bug acknowledged by developer. (Sat, 08 Nov 2008 14:30:16 GMT) Full text and rfc822 format available.

Message #97 received at 500482-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: 500482-close@bugs.debian.org
Subject: Bug#500482: fixed in grub2 1.96+20081108-1
Date: Sat, 08 Nov 2008 14:02:04 +0000
Source: grub2
Source-Version: 1.96+20081108-1

We believe that the bug you reported is fixed in the latest version of
grub2, which is due to be installed in the Debian FTP archive:

grub-common_1.96+20081108-1_amd64.deb
  to pool/main/g/grub2/grub-common_1.96+20081108-1_amd64.deb
grub-coreboot_1.96+20081108-1_amd64.deb
  to pool/main/g/grub2/grub-coreboot_1.96+20081108-1_amd64.deb
grub-efi_1.96+20081108-1_amd64.deb
  to pool/main/g/grub2/grub-efi_1.96+20081108-1_amd64.deb
grub-ieee1275_1.96+20081108-1_amd64.deb
  to pool/main/g/grub2/grub-ieee1275_1.96+20081108-1_amd64.deb
grub-linuxbios_1.96+20081108-1_amd64.deb
  to pool/main/g/grub2/grub-linuxbios_1.96+20081108-1_amd64.deb
grub-pc_1.96+20081108-1_amd64.deb
  to pool/main/g/grub2/grub-pc_1.96+20081108-1_amd64.deb
grub-rescue-pc_1.96+20081108-1_amd64.deb
  to pool/main/g/grub2/grub-rescue-pc_1.96+20081108-1_amd64.deb
grub2_1.96+20081108-1.diff.gz
  to pool/main/g/grub2/grub2_1.96+20081108-1.diff.gz
grub2_1.96+20081108-1.dsc
  to pool/main/g/grub2/grub2_1.96+20081108-1.dsc
grub2_1.96+20081108-1_amd64.deb
  to pool/main/g/grub2/grub2_1.96+20081108-1_amd64.deb
grub2_1.96+20081108.orig.tar.gz
  to pool/main/g/grub2/grub2_1.96+20081108.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 500482@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@aybabtu.com> (supplier of updated grub2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat,  8 Nov 2008 13:54:10 +0100
Source: grub2
Binary: grub2 grub-of grub-linuxbios grub-common grub-pc grub-rescue-pc grub-coreboot grub-efi grub-ieee1275
Architecture: source amd64
Version: 1.96+20081108-1
Distribution: experimental
Urgency: low
Maintainer: GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>
Changed-By: Robert Millan <rmh@aybabtu.com>
Description: 
 grub-common - GRand Unified Bootloader, version 2 (common files)
 grub-coreboot - GRand Unified Bootloader, version 2 (Coreboot version)
 grub-efi   - GRand Unified Bootloader, version 2 (EFI version)
 grub-ieee1275 - GRand Unified Bootloader, version 2 (Open Firmware version)
 grub-linuxbios - GRand Unified Bootloader, version 2 (dummy package)
 grub-of    - GRand Unified Bootloader, version 2 (dummy package)
 grub-pc    - GRand Unified Bootloader, version 2 (PC/BIOS version)
 grub-rescue-pc - GRUB bootable rescue images, version 2 (PC/BIOS version)
 grub2      - GRand Unified Bootloader, version 2 (dummy package)
Closes: 462835 464215 465365 475585 497889 500482 500514 502953 503708 503715 503809 503841 503869 504076 504207 504254 504280 504310 504324 504466 504683
Changes: 
 grub2 (1.96+20081108-1) experimental; urgency=low
 .
   * New SVN snapshot.
     - Add support for /dev/md/N style mdraid devices. (Closes: #475585)
     - Handle LVM dash escaping. (Closes: #464215)
     - Use case insensitive match in NTFS. (Closes: #497889)
     - Use hd%d drive names in grub-mkdevicemap for all architectures.
       (Closes: #465365)
     - Handle LVM circular metadata. (Closes: #462835, #502953)
     - Fix NULL dereference and failure paths in LVM.  Thanks Guillem Jover.
       (Closes: #500482)
     - Provides GRUB header files (only in grub-common).
 .
   [ Updated translations ]
   * Dutch (nl.po) by Paul Gevers. (Closes: #500514)
   * French (fr.po) by Christian Perrier. (Closes: #503708)
   * Georgian (ka.po) by Aiet Kolkhi. (Closes: #503715)
   * Czech (cs.po) by Miroslav Kure. (Closes: #503809)
   * German (de.po) by Helge Kreutzmann. (Closes: #503841)
   * Japanese (ja.po) by Hideki Yamane. (Closes: #503869)
   * Italian (it.po) by Luca Monducci. (Closes: #504076)
   * Swedish (sv.po) by Martin Ågren. (Closes: #504207)
   * Arabic (ar.po) by Ossama Khayat. (Closes: #504254)
   * Portuguese (pt.po) by Miguel Figueiredo. (Closes: #504280)
   * Russian (ru.po) by Yuri Kozlov. (Closes: #504324)
   * Finnish (fi.po) by Esko Arajärvi. (Closes: #504310)
   * Basque (eu.po) by Piarres Beobide. (Closes: #504466)
   * Dutch (nl.po) by Paul Gevers. (Closes: #504683)
 .
   [ Felix Zielcke ]
   * patches/01_grub_legacy_0_based_partitions.diff: Rename to
   * patches/903_grub_legacy_0_based_partitions.diff: this and adapt for
     s/biosdisk.c/hostdisk.c/ rename upstream.
   * patches/03_disable_floppies.diff
     patches/904_disable_floppies.diff: Likewise.
   * update-grub has been renamed to grub-mkconfig, so provide a stub for
     compatibility.
   * Make grub-pc/linux_cmdline debconf template translatable. (Closes #503478)
   * Remove ro.po and ta.po. They don't contain a single translated
     message.
 .
   [ Robert Millan ]
   * control: Make grub-common dependency = ${binary:Version}.
   * default/grub: Set GRUB_CMDLINE_LINUX=quiet to syncronize with
     default D-I settings.
Checksums-Sha1: 
 0849adf89cb23b3f1df6041f54668dd37b5bc0fc 1798 grub2_1.96+20081108-1.dsc
 d610d3d6dbd4232599f1342debfcc6be6ae83c46 986972 grub2_1.96+20081108.orig.tar.gz
 d6358ecc9851c46899c453af5ab719c43b2b7f2b 42617 grub2_1.96+20081108-1.diff.gz
 acd5a47042a9102e9a6e0b804d46f1d76ee1babc 134472 grub2_1.96+20081108-1_amd64.deb
 e41677f4fc89aee58e1a2c62d3a48f1e572ac860 133574 grub-linuxbios_1.96+20081108-1_amd64.deb
 7a16c26f32d7619a621486035ffa24a160db9f04 1376990 grub-common_1.96+20081108-1_amd64.deb
 66bf57582a1f16ff7a94a218c9e786cf4cb07821 450986 grub-pc_1.96+20081108-1_amd64.deb
 2d31ec5b6e962236ff861ede285b34df6d9149e7 479716 grub-rescue-pc_1.96+20081108-1_amd64.deb
 80ac1f263a06108ddb139cd36834f85b8393a4e2 289130 grub-coreboot_1.96+20081108-1_amd64.deb
 8b660d42c27fca6ae2b511928c650a1c86ffd607 330220 grub-efi_1.96+20081108-1_amd64.deb
 8b4275315757ede9cca03de402b7c83afe41cb6c 288684 grub-ieee1275_1.96+20081108-1_amd64.deb
Checksums-Sha256: 
 3c4187a50f28db6c8ea6d44c97a72777e0d2d9625acb499078bd2ac08a97c2b4 1798 grub2_1.96+20081108-1.dsc
 7f5ff4651496969f1ae7959078da4ba15bb21ba74bfa26ab94a799fd3b5025d9 986972 grub2_1.96+20081108.orig.tar.gz
 a9c846e256ecfbf7745ff70f333ecf08f8f4b18401af879cd7432446c5a4f4cc 42617 grub2_1.96+20081108-1.diff.gz
 6087804e1b58b1c23eec7690e47e89e2c02342db5ef512fb830a20169c70f72e 134472 grub2_1.96+20081108-1_amd64.deb
 949694fa5460159d0f7612f4bc08ec342c699751eab04f33670957b3ae33eadb 133574 grub-linuxbios_1.96+20081108-1_amd64.deb
 01c09bc32892c06672e22bd169de58d491660fe4601336e20ef4616f99e33a1e 1376990 grub-common_1.96+20081108-1_amd64.deb
 98b03d5642e0ef5e4d7859571e47e4996eeaa251c209c4a71dfc0ba3046952bb 450986 grub-pc_1.96+20081108-1_amd64.deb
 23247657703d3ee08534ca79b06429a5f36c35806c51b0566b2ed47ffce66fe6 479716 grub-rescue-pc_1.96+20081108-1_amd64.deb
 a5cf16a9d02d9ce0d8635c938d66e7edcf2183076810672da51e24eee36c2ba3 289130 grub-coreboot_1.96+20081108-1_amd64.deb
 2a96785fa18ac42607efd75d80681fb1c8f40972ce77ef7c371b50445633daeb 330220 grub-efi_1.96+20081108-1_amd64.deb
 f5fa6631da8f10338145c604b596fe54b86f6b2c1d88d88295edbe3c453088a1 288684 grub-ieee1275_1.96+20081108-1_amd64.deb
Files: 
 da246eec19dbe01f735b1c17978dfac8 1798 admin extra grub2_1.96+20081108-1.dsc
 63c1bcf05c8581c5c5ba896d011a2506 986972 admin extra grub2_1.96+20081108.orig.tar.gz
 48099ed9ae69d8d9f8c7e0ebdbe1a41f 42617 admin extra grub2_1.96+20081108-1.diff.gz
 3f04412e50afbbfd1a84c9b822cd2587 134472 admin extra grub2_1.96+20081108-1_amd64.deb
 b5fd73173e708e75f7d6bbc240285f57 133574 admin extra grub-linuxbios_1.96+20081108-1_amd64.deb
 b2b0dbeef1af1fd4483d2f6c161164f1 1376990 admin extra grub-common_1.96+20081108-1_amd64.deb
 c7b3b6a6316667dee22cab3ce6cbf562 450986 admin extra grub-pc_1.96+20081108-1_amd64.deb
 a830934db7d34d34eb66c0976fdac954 479716 admin extra grub-rescue-pc_1.96+20081108-1_amd64.deb
 996f05975f96461224eceb9e63b4d07c 289130 admin extra grub-coreboot_1.96+20081108-1_amd64.deb
 e2462ab76cfeb16752a92ccc2782d164 330220 admin extra grub-efi_1.96+20081108-1_amd64.deb
 fb22d60dabc0bee04f7e78c65c0f4771 288684 admin extra grub-ieee1275_1.96+20081108-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkkVmU8ACgkQC19io6rUCv+zRwCeNhSoUPqF0jjqeIoh69euzx8h
ou8An3B/lyPEYkEsDN5D2uVEzbjuu1Oh
=RpJE
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 07 Dec 2008 07:30:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:08:18 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.